Subject: Re: 2.6.18-rc4-mm1: eth0: trigger_send() called with the transmitter busy

From: Laurent Riffard <[email-masked]>
Date: Mon, 14 Aug 2006 19:47:24 +0200

Le 14.08.2006 18:50, Andrew Morton a écrit :
> On Mon, 14 Aug 2006 16:38:47 +0200
> Laurent Riffard <[email-masked]> wrote:
> 
>> Le 13.08.2006 10:24, Andrew Morton a __crit :
>>> ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.18-rc4/2.6.18-rc4-mm1/
>> Hello,
>>
>> This morning, while trying to suspend to disk, my box started to loop 
>> displaying the following message:
>> eth0: trigger_send() called with the transmitter busy.
>>
>> Here is the scenario. I booted 2.6.18-rc4-mm1 with this command line:
>> root=/dev/vglinux1/lvroot video=vesafb:ywrap,mtrr splash=silent resume=/dev/hdb7 netconsole=@192.163.0.3/,@192.168.0.1/00:0E:9B:91:ED:72 init 1
>>
>> Then I issued:
>> # echo 6 > /proc/sys/kernel/printk
>> # echo disk > /sys/power/state
> 
> ne2k isn't <ahem> the most actively-maintained driver.
> 
> But most (I think all) net drivers have problems during suspend when
> netconsole is active.  Does disabling netconsole help?

Yes it does. 
 
> Did this operation work OK in earlier kernels, with netconsole enabled?

It's the first time I see such a message. I can't speak for 2.6.18-rc3-mm2 
because it could not suspend at all (did hang right after 
"echo disk > /sys/power/state"), but it worked in earlier kernels.

I'll try with plain 2.6.18-rc4.
-- 
laurent